# vue-router 2

> Note: for TypeScript users, vue-router@>= 3.0 requires vue@>=2.5, and vice versa.

**[Release Notes](https://github.com/vuejs/vue-router/releases)**

- [Installation](installation.md)
- Essentials
  - [Getting Started](essentials/getting-started.md)
  - [Dynamic Route Matching](essentials/dynamic-matching.md)
  - [Nested Routes](essentials/nested-routes.md)
  - [Programmatic Navigation](essentials/navigation.md)
  - [Named Routes](essentials/named-routes.md)
  - [Named Views](essentials/named-views.md)
  - [Redirect and Alias](essentials/redirect-and-alias.md)
  - [Passing Props to Route Components](essentials/passing-props.md)
  - [HTML5 History Mode](essentials/history-mode.md)
- Advanced
  - [Navigation Guards](advanced/navigation-guards.md)
  - [Route Meta Fields](advanced/meta.md)
  - [Transitions](advanced/transitions.md)
  - [Data Fetching](advanced/data-fetching.md)
  - [Scroll Behavior](advanced/scroll-behavior.md)
  - [Lazy Loading](advanced/lazy-loading.md)
- API Reference
  - [Router Constructor Options](api/options.md)
    - [routes](api/options.md#routes)
    - [mode](api/options.md#mode)
    - [base](api/options.md#base)
    - [linkActiveClass](api/options.md#linkactiveclass)
    - [linkExactActiveClass](api/options.md#linkexactactiveclass)
    - [scrollBehavior](api/options.md#scrollbehavior)
    - [parseQuery / stringifyQuery](api/options.md#parsequery--stringifyquery)
    - [fallback](api/options.md#fallback)
  - [The Router Instance](api/router-instance.md)
    - [Properties](api/router-instance.md#properties)
    - [Methods](api/router-instance.md#methods)
  - [The Route Object](api/route-object.md)
  - [Component Injections](api/component-injections.md)
  - [router-link](api/router-link.md)
  - [router-view](api/router-view.md)
